Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161970 - Minicom can not send out 'ctrl-alt-del'
Summary: Minicom can not send out 'ctrl-alt-del'
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: minicom
Version: 3.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Martin Stransky
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-28 19:45 UTC by Robinson Tiemuqinke
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-12 09:05:24 UTC


Attachments (Terms of Use)

Description Robinson Tiemuqinke 2005-06-28 19:45:22 UTC
Description of problem:
minicom can not send out 'ctrl-alt-del' 

Version-Release number of selected component (if applicable):


How reproducible:
Every time.

Steps to Reproduce:
1. connect two PCs's serial ports with dumb terminal cable
2. one machine redirect its console to serial port
3. on the 2nd machine runs minicom on the serial port connected to first 
machine.
4. the 2nd machines can monitor the console output from first machine's 
kickstart, and key-in normal Linux commands without problems. 
5, But when trying to send 'ctrl-alt-del' from minicom, local machine 
intercepts the key combination and reboots. The 'ctrl-alt-del' can not be sent 
out to remote machine through minicom. Trying to send out '<ESC>R<ESC>r<ESC>R' 
key sequence doesn't help neither.

  
Actual results: 
local machine, which running minicom, intercepts the 'ctrl-alt-del' and 
reboots. 


Expected results:
'ctrl-alt-del' key combination be sent to remote machine through minicom; or a 
similar key sequence to sent to remote machine, and the remote machine 
interprets it as 'ctrl-alt-del'.


Additional info:
Seems not related to Redhat Linux Enterprise Linux only, it happens on Fedora 
Core as well.

Comment 1 Martin Stransky 2005-07-12 09:05:24 UTC
It's like remote ssh/telnet session, ctrl-alt-del is traped by local
box...


Note You need to log in before you can comment on or make changes to this bug.